- Qt 5.5
- Qt3D Module
- C++ Classes
- QScaleTransform
- Qt 5.5.1 Reference Documentation

# QScaleTransform Class

(Qt3D::QScaleTransform)

Inherits: | QAbstractTransform

- List of all members, including inherited members

## Properties

- scale : float
- scale3D : QVector3D

- 1 property inherited from Qt3D::QAbstractTransform

## Public Functions

| QScaleTransform(QObject * parent = Q_NULLPTR)
float | scale() const
QVector3D | scale3D() const
void | setScale(float scale)
void | setScale3D(const QVector3D & scale3D)

## Reimplemented Public Functions

virtual QMatrix4x4 | transformMatrix() const

- 1 public function inherited from Qt3D::QAbstractTransform

## Signals

void | scale3DChanged()
void | scaleChanged()

- 1 signal inherited from Qt3D::QAbstractTransform

## Property Documentation

### scale : float

Access functions:

float | scale() const
void | setScale(float scale)

Notifier signal:

void | scaleChanged()

### scale3D : QVector3D

Access functions:

QVector3D | scale3D() const
void | setScale3D(const QVector3D & scale3D)

Notifier signal:

void | scale3DChanged()

## Member Function Documentation

### QScaleTransform::QScaleTransform(QObject * parent = Q_NULLPTR)

### `[virtual]` QMatrix4x4 QScaleTransform::transformMatrix() const